package com.wyattjmiller.studyhelper

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.ForeignKey
import androidx.room.PrimaryKey


@Entity(
    tableName = "questions",
    foreignKeys = [ForeignKey(
        entity = Subject::class,
        parentColumns = ["text"],
        childColumns = ["subject"]
    )]
)
class Question {
    @PrimaryKey(autoGenerate = true)
    @ColumnInfo(name = "id")
    var id: Long = 0

    @ColumnInfo(name = "text")
    var text: String? = null

    @ColumnInfo(name = "answer")
    var answer: String? = null

    @ColumnInfo(name = "subject")
    var subject: String? = null
}