package com.wyattjmiller.studyhelper

import androidx.room.*

@Dao
interface QuestionDao {
    @Query("SELECT * FROM questions WHERE id = :id")
    fun getQuestion(id: Long): Question?

    @Query("SELECT * FROM questions WHERE subject = :subject")
    fun getQuestions(subject: String?): List<Question?>?

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun insertQuestion(question: Question?): Long

    @Update
    fun updateQuestion(question: Question?)

    @Delete
    fun deleteQuestion(question: Question?)
}
