package com.wyattjmiller.studyhelper

import android.content.Intent
import android.os.Bundle
import android.view.View
import android.widget.EditText
import androidx.appcompat.app.AppCompatActivity


class QuestionEditActivity : AppCompatActivity() {
    private lateinit var mQuestionText: EditText
    private lateinit var mAnswerText: EditText
    private lateinit var mStudyDb: StudyDatabase
    private lateinit var mQuestion: Question

    private var mQuestionId: Long = 0

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_question_edit)
        mQuestionText = findViewById(R.id.questionText)
        mAnswerText = findViewById(R.id.answerText)
        mStudyDb = StudyDatabase.getInstance(applicationContext)

        // Get question ID from QuestionActivity
        val intent = intent
        mQuestionId = intent.getLongExtra(EXTRA_QUESTION_ID, -1)
        val actionBar = supportActionBar
        if (mQuestionId == -1L) {
            // Add new question
            mQuestion = Question()
            setTitle(R.string.add_question)
        } else {
            // Update existing question
            mQuestion = mStudyDb.getQuestion(mQuestionId)
            mQuestionText.setText(mQuestion.text)
            mAnswerText.setText(mQuestion.answer)
            setTitle(R.string.update_question)
        }
        val subject = intent.getStringExtra(EXTRA_SUBJECT)
        mQuestion!!.subject = subject
    }

    fun saveButtonClick(view: View?) {
        mQuestion!!.text = mQuestionText!!.text.toString()
        mQuestion!!.answer = mAnswerText!!.text.toString()
        if (mQuestionId == -1L) {
            // New question
            mStudyDb!!.addQuestion(mQuestion)
        } else {
            // Existing question
            mStudyDb!!.updateQuestion(mQuestion)
        }

        // Send back question ID
        val intent = Intent()
        intent.putExtra(EXTRA_QUESTION_ID, mQuestion!!.id)
        setResult(RESULT_OK, intent)
        finish()
    }

    companion object {
        const val EXTRA_QUESTION_ID = "com.zybooks.studyhelper.question_id"
        const val EXTRA_SUBJECT = "com.zybooks.studyhelper.subject"
    }
}
