package com.wyattjmiller.studyhelper

import androidx.room.*

@Dao
interface SubjectDao {
    @get:Query("SELECT * FROM subjects ORDER BY text")
    val subjects: List<Subject?>?

    @get:Query("SELECT * FROM subjects ORDER BY updated DESC")
    val subjectsNewerFirst: List<Subject?>?

    @get:Query("SELECT * FROM subjects ORDER BY updated ASC")
    val subjectsOlderFirst: List<Subject?>?

    @Insert(onConflict = OnConflictStrategy.FAIL)
    fun insertSubject(subject: Subject?)

    @Update
    fun updateSubject(subject: Subject?)

    @Delete
    fun deleteSubject(subject: Subject?)
}